/*
 * Copyright (C) 2011-2013 Mojavemvc.org
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.mojavemvc.tests.controllers;

import java.io.ByteArrayInputStream;

import org.mojavemvc.annotations.Action;
import org.mojavemvc.annotations.StatelessController;
import org.mojavemvc.views.InputStreamView;

/**
 * 
 * @author Luis Antunes
 */
@StatelessController("inputstream")
public class InputStreamController {

    @Action("plaintext")
    public InputStreamView getPlainText() {
        
        String content = "Hello";
        ByteArrayInputStream in = new ByteArrayInputStream(content.getBytes());
        
        InputStreamView view = new InputStreamView(in, "text/plain");
        view.setContentLength(content.getBytes().length);
        return view;
    }
}
